=== debian/changelog ===
libphonenumber (8.12.16-4) unstable; urgency=medium

  * Team upload.
  * Update Vcs-URLs to salsa.d.o
  * Depend on protobuf-api-* (Closes: #980423)
  * Add MA hint
  * simplify d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Jan 2021 21:16:40 +0100

libphonenumber (8.12.16-3) unstable; urgency=medium

  * Team upload.
  * libphonenumber-dev: Depend on libboost-thread-dev. I don't think that
    is the correct thing to do, and packages like e-d-s should declare
    that build dependency explicitly. See #978172.
  * Remove oldish version requirements in (build-)dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2021 13:29:07 +0100

libphonenumber (8.12.16-2) experimental; urgency=medium

  * Team upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jan 2021 18:12:42 +0100
