=== debian/control ===
Source: libphonenumber
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Fredrik Roubert <roubert@google.com>
Build-Depends: cdbs,
  cmake,
  debhelper (>= 11),
  default-jdk | java-sdk,
  default-jdk-doc,
  libgtest-dev,
  libicu-dev,
  libprotobuf-dev,
  libre2-dev,
  maven-debian-helper,
  protobuf-compiler,
  junit4,
  libbuild-helper-maven-plugin-java,
  libmaven-antrun-plugin-java,
  libmaven-assembly-plugin-java,
  libmaven-compiler-plugin-java,
  libmaven-exec-plugin-java,
  libmaven-jar-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-war-plugin-java,
  libmaven-bundle-plugin-java,
  libprotobuf-java,
  libservlet3.1-java,
  libservlet3.1-java-doc
Standards-Version: 4.5.1
Section: libs
Homepage: https://github.com/googlei18n/libphonenumber/
Vcs-Browser: https://salsa.debian.org/debian/libphonenumber
Vcs-Git: https://salsa.debian.org/debian/libphonenumber.git

Package: libphonenumber8-java
Section: java
Architecture: all
Conflicts: libphonenumber6-java, libphonenumber-java, libphonenumber7-java,
Replaces: libphonenumber6-java, libphonenumber-java, libphonenumber7-java,
Depends: ${misc:Depends}, ${maven:Depends}
Recommends: ${maven:OptionalDepends}
Description: parsing/formatting/validating phone numbers - java
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the runtime library JARs for Java users.

Package: libphonenumber-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Conflicts: libphonenumber6-dev
Replaces: libphonenumber6-dev
Depends: libphonenumber8 (= ${binary:Version}),
  libgeocoding8 (= ${binary:Version}),
  ${misc:Depends},
  ${protobuf:API},
  libboost-thread-dev,   
Description: parsing/formatting/validating phone numbers - development files
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the static libraries and include files.

Package: libphonenumber8
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: parsing/formatting/validating phone numbers
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the runtime libraries for C++ users.

Package: libgeocoding8
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: geocoding phone numbers
 Google's library for geocoding phone international phone numbers.
 .
 This package contains the runtime libraries which can be used to geocode phone
 numbers. This means obtaining a desciption (for example of the location) of a
 given phone number.
