=== debian/changelog ===
libphonenumber (8.12.44-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.44
    Metadata changes:
     - Updated phone metadata for region code(s):
       AG, AI, AS, BB, BM, BS, CA, CV, DM, DO, GD, GU, JM, KN, KY, LC, MP, MS, PR,
       SC, SX, TC, TT, US, VC, VG, VI
     - Updated short number metadata for region code(s): BE, PT, SC, SE, US
     - Updated geocoding data for country calling code(s):
       61 (en), 238 (en), 1345 (en)
     - Updated carrier data for country calling code(s): 238 (en), 248 (en)

 -- tony mancill <tmancill@debian.org>  Thu, 24 Feb 2022 06:56:52 -0800

libphonenumber (8.12.43-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.43
    Metadata changes:
    - Updated phone metadata for region code(s):
        BJ, CL, GA, IS, KR, KW, LI, PA, SG, SL
    - Updated short number metadata for region code(s): MS
    - Updated geocoding data for country calling code(s): 56 (en, es)
    - Updated carrier data for country calling code(s):
        32 (en), 229 (en), 354 (en), 502 (en), 507 (en)

 -- tony mancill <tmancill@debian.org>  Wed, 16 Feb 2022 20:57:19 -0800

libphonenumber (8.12.42-2) unstable; urgency=medium

  * Team upload.
  * libphonenumber-dev: add dependency on libabsl-dev (Closes: #1005157)

 -- tony mancill <tmancill@debian.org>  Tue, 08 Feb 2022 07:14:02 -0800

libphonenumber (8.12.42-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.42
  * Refresh patches for new upstream version
  * Drop unnecessary JDK5 5 compilation patch

 -- tony mancill <tmancill@debian.org>  Mon, 31 Jan 2022 20:03:33 -0800

libphonenumber (8.12.41-2) unstable; urgency=medium

  * Team upload.
  * Eliminate build parallelism to try to work around build failures

 -- tony mancill <tmancill@debian.org>  Fri, 28 Jan 2022 14:35:18 -0800

libphonenumber (8.12.41-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.41 (Closes: #1003972)
  * Add build-dep on libabsl-dev
  * Add patch to build against Debian packaging of abseil
  * Replace obsolete libservlet3.1-java with libservlet-api-java
    and remove maven.rules entry that remapped javax.servlet
  * Drop needless build-dep on libservlet3.1-java-doc

 -- tony mancill <tmancill@debian.org>  Thu, 27 Jan 2022 07:48:33 -0800
