=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
   debhelper (>= 11),
   default-jdk | java-sdk,
   default-jdk-doc,
+  libabsl-dev,
   libgtest-dev,
   libicu-dev,
   libprotobuf-dev,
@@ -24,8 +25,7 @@
   libmaven-war-plugin-java,
   libmaven-bundle-plugin-java,
   libprotobuf-java,
-  libservlet3.1-java,
-  libservlet3.1-java-doc
+  libservlet-api-java
 Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/googlei18n/libphonenumber/
@@ -55,7 +55,8 @@
   libgeocoding8 (= ${binary:Version}),
   ${misc:Depends},
   ${protobuf:API},
-  libboost-thread-dev,   
+  libboost-thread-dev,
+  libabsl-dev,
 Description: parsing/formatting/validating phone numbers - development files
  Google's common C++ and Java library for parsing, formatting, storing and
  validating international phone numbers.
