=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,13 @@
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
   INSTALL_PROGRAM += -s
 endif
+
+# disable parallelism during build in an attempt to resolve build failures
+# see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1003972#51
+export CMAKE_BUILD_PARALLEL_LEVEL := 1
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  #NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  NUMJOBS = 1
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
@@ -81,7 +86,7 @@
 # move /usr/lib/* to a proper multiarch location.
 #override_dh_auto_install:
 common-install-arch::
-	dh_auto_install --builddirectory=$(CPP_BUILD)
+	dh_auto_install --builddirectory=$(CPP_BUILD) --no-parallel
 	echo 'protobuf:API=$(protobufapi)' >> debian/libphonenumber-dev.substvars
 
 #override_dh_auto_clean:
