=== debian/watch ===
version=3
https://github.com/googlei18n/libphonenumber/tags \
  .*/libphonenumber/archive/.*?(\d[\d\.]+).*\.tar\.gz
