## libphonenumber 8.12.54+ds

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # Pick the C++ standard to compile with.
 # Abseil currently supports C++11, C++14, and C++17.
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 11 CACHE STRING "C++ standard used to compile this project")
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 project (libphonenumber)
@@ -203,6 +203,8 @@
 )
 
 if (${BUILD_GEOCODER} STREQUAL "ON")
+  find_package(absl)
+
   # Geocoding data cpp file generation
   set (TOOLS_DIR "${CMAKE_CURRENT_BINARY_DIR}/tools")
   add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/../tools/cpp" "${TOOLS_DIR}")
@@ -337,5 +339,3 @@
     "lite_metadata"
     "metadata"
   )
-  list (APPEND SOURCES "src/phonenumbers/lite_metadata.cc")
-else ()
