=== debian/changelog ===
libphonenumber (8.12.54+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.54+ds
    Metadata changes:
     - Updated phone metadata for region code(s): BE, BF, GE, HN, MX, PT, US
     - Updated geocoding data for country calling code(s):
       52 (en), 61 (en), 351 (en)
     - Updated carrier data for country calling code(s):
       226 (en), 351 (en), 420 (en), 992 (en), 995 (en)
  * Remove unnecessary Java 5 patch

 -- tony mancill <tmancill@debian.org>  Thu, 25 Aug 2022 12:08:01 -0700

libphonenumber (8.12.53+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.52+ds
    Metadata changes:
     - Updated alternate formatting data for country calling code(s): 49
     - Updated phone metadata for region code(s):
       BW, DE, ET, HK, ML, MN, MQ, NP, PE, QA, SG
     - Updated geocoding data for country calling code(s): 61 (en)
     - Updated carrier data for country calling code(s):
       48 (en), 65 (en), 223 (en), 251 (en), 852 (en, zh), 976 (en), 977 (en)

  * New upstream version 8.12.53+ds
    Metadata changes:
     - Updated phone metadata for region code(s):
       AT, BE, CL, CN, GE, GF, GH, HK, JM, PG, RE, US
     - Updated short number metadata for region code(s): AT
     - New geocoding data for country calling code(s): 1943 (en)
     - Updated carrier data for country calling code(s):
       34 (en), 56 (en), 57 (en), 86 (en), 233 (en), 972 (en), 992 (en)
     - Updated / refreshed time zone meta data.

 -- tony mancill <tmancill@debian.org>  Sun, 07 Aug 2022 16:29:23 -0700

libphonenumber (8.12.51+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.51+ds
    Metadata changes:
     - Updated phone metadata for region code(s):
       800, BJ, BR, CO, EH, FO, GE, GP, KE, KG, MA, MM, MN, MY, NZ, RE, SI,
       UG, VN
     - Updated geocoding data for country calling code(s): 57 (en), 61 (en)
     - Updated carrier data for country calling code(s):
       60 (en), 254 (en), 262 (en), 298 (en), 386 (en), 421 (en), 976 (en),
       995 (en), 996 (en)
     - Updated / refreshed time zone meta data.

 -- tony mancill <tmancill@debian.org>  Wed, 06 Jul 2022 07:02:47 -0700

libphonenumber (8.12.50+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.50+ds
    Metadata changes:
     - Updated alternate formatting data for country calling codes: 380, 49
     - Updated phone metadata for region code(s):
       AR, CL, DE, EH, GB, HK, HR, IR, IT, MA, MH, TT, UA, US
     - New geocoding data for country calling code(s): 1826 (en)
     - Updated geocoding data for country calling code(s):
       34 (en, es), 54 (en), 61 (en)
     - Updated carrier data for country calling code(s):
       44 (en), 98 (en, fa), 212 (en), 380 (en, uk), 385 (en), 420 (en),
       852 (en, zh)
     - Updated / refreshed time zone meta data.
    New Metadata files:
     - The phone and short number metadata of all regions are available now
       in CSV format, at resources/metdata directory.
       (These are available in the Debian source package, but do not affect
       the binary packages generated from the sources.)

 -- tony mancill <tmancill@debian.org>  Sat, 25 Jun 2022 07:37:10 -0700

libphonenumber (8.12.49+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.49+ds
    Metadata changes:
     - Updated phone metadata for region code(s):
       CA, CM, GB, IL, JM, JP, MA, MV, PG, US
     - Updated geocoding data for country calling code(s):
       33 (en), 44 (en), 212 (en, fr), 1310 (en)
     - Updated carrier data for country calling code(s):
       237 (en), 675 (en)
     - Updated / refreshed time zone meta data.

 -- tony mancill <tmancill@debian.org>  Fri, 03 Jun 2022 22:08:10 -0700

libphonenumber (8.12.48+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.48
    release notes: https://github.com/google/libphonenumber/pull/2767
  * Update debian/copyright to exclude JAR files from upstream sources
    and update debian/watch to repack with +ds version suffix.

 -- tony mancill <tmancill@debian.org>  Sat, 07 May 2022 21:15:08 -0700

libphonenumber (8.12.47-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.47
  * Refresh patches for new upstream version
  * Add build-dep on libmockito-java

 -- tony mancill <tmancill@debian.org>  Fri, 22 Apr 2022 07:20:10 -0700

libphonenumber (8.12.46-2) unstable; urgency=medium

  * Team upload.
  * Add patch to resolve FTBFS for reverse build-deps (Closes: #1008817)
    - Thank you to Adrian Bunk and Christoph Anton Mitterer.

 -- tony mancill <tmancill@debian.org>  Sat, 02 Apr 2022 10:43:51 -0700

libphonenumber (8.12.46-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.46
    Metadata changes:
     - Updated phone metadata for region code(s): BJ, JM, PW, SA
     - Updated short number metadata for region code(s): HU
     - Updated carrier data for country calling code(s):
       36 (en), 51 (en), 61 (en), 90 (en), 229 (en), 254 (en), 680 (en),
       966 (en)
  * Changelog from upstream version 8.12.45 (not released for Debian)
    Metadata changes:
     - Updated phone metadata for region code(s): BF, EE, JM, RE, SE, US
     - New geocoding data for country calling code(s): 1464 (en)
     - Updated carrier data for country calling code(s):
       46 (en), 55 (en), 226 (en), 262 (en), 353 (en), 372 (en), 373 (en),
       1345 (en)
     - Updated / refreshed time zone meta data.

 -- tony mancill <tmancill@debian.org>  Fri, 01 Apr 2022 09:53:47 -0700
