=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
   libmaven-javadoc-plugin-java,
   libmaven-war-plugin-java,
   libmaven-bundle-plugin-java,
+  libmockito-java,
   libprotobuf-java,
   libservlet-api-java
 Standards-Version: 4.5.1
@@ -31,6 +32,7 @@
 Homepage: https://github.com/googlei18n/libphonenumber/
 Vcs-Browser: https://salsa.debian.org/debian/libphonenumber
 Vcs-Git: https://salsa.debian.org/debian/libphonenumber.git
+Rules-Requires-Root: no
 
 Package: libphonenumber8-java
 Section: java
