## libphonenumber 8.12.57%2Bds

=== debian/control ===
Source: libphonenumber
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Fredrik Roubert <roubert@google.com>
Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-sequence-javahelper,
  default-jdk,
  default-jdk-doc,
  dpkg-dev (>= 1.22.5),
  libabsl-dev (>= 20220623.1-3.1),
  libgtest-dev,
  libicu-dev,
  libprotobuf-dev,
  libre2-dev,
  maven-debian-helper,
  protobuf-compiler,
  junit4,
  libbuild-helper-maven-plugin-java,
  libmaven-antrun-plugin-java,
  libmaven-assembly-plugin-java,
  libmaven-compiler-plugin-java,
  libmaven-exec-plugin-java,
  libmaven-jar-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-war-plugin-java,
  libmaven-bundle-plugin-java,
  libmockito-java,
  libprotobuf-java,
  libservlet-api-java
Standards-Version: 4.6.1
Section: libs
Homepage: https://github.com/googlei18n/libphonenumber/
Vcs-Browser: https://salsa.debian.org/debian/libphonenumber
Vcs-Git: https://salsa.debian.org/debian/libphonenumber.git
Rules-Requires-Root: no
Description: parsing/formatting/validating phone numbers
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.

Package: libphonenumber8-java
Section: java
Architecture: all
Conflicts: libphonenumber7-java,
Replaces: libphonenumber7-java,
Depends: ${misc:Depends}, ${maven:Depends}
Recommends: ${maven:OptionalDepends}
Description: ${source:Synopsis} - java
 ${source:Extended-Description}
 .
 This package contains the runtime library JARs for Java users.

Package: libphonenumber-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libphonenumber8 (= ${binary:Version}),
  libgeocoding8 (= ${binary:Version}),
  ${misc:Depends},
  ${protobuf:API},
  libboost-thread-dev,
  libabsl-dev,
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the static libraries and include files.

Package: libphonenumber8
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${libphonenumber:Provides}
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the runtime libraries for C++ users.

Package: libgeocoding8
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: geocoding phone numbers
 Google's library for geocoding phone international phone numbers.
 .
 This package contains the runtime libraries which can be used to geocode phone
 numbers. This means obtaining a description (for example of the location) of a
 given phone number.
