## libphonenumber 8.12.57+ds

=== tools/cpp/CMakeLists.txt ===
--- 
+++ 
@@ -28,27 +28,30 @@
 include (gtest.cmake)
 include (FetchContent)
 
-# Downloading the abseil sources.
-FetchContent_Declare(
-    abseil-cpp
-    GIT_REPOSITORY  https://github.com/abseil/abseil-cpp.git
-    GIT_TAG         origin/master
-)
+if(NOT absl_FOUND)
+  # Downloading the abseil sources at particular version to not catch up
+  # with its new build requirements like min C++14 is mandated in that lib.
+  FetchContent_Declare(
+      abseil-cpp
+      GIT_REPOSITORY  https://github.com/abseil/abseil-cpp.git
+      GIT_TAG         273292d
+  )
 
-# Building the abseil binaries
-FetchContent_GetProperties(abseil-cpp)
-if (NOT abseil-cpp_POPULATED)
-    FetchContent_Populate(abseil-cpp)
-endif ()
+  # Building the abseil binaries
+  FetchContent_GetProperties(abseil-cpp)
+  if (NOT abseil-cpp_POPULATED)
+      FetchContent_Populate(abseil-cpp)
+  endif ()
 
-if (NOT abseil-cpp_POPULATED)
-   message (FATAL_ERROR "Could not build abseil-cpp binaries.")
-endif ()
+  if (NOT abseil-cpp_POPULATED)
+     message (FATAL_ERROR "Could not build abseil-cpp binaries.")
+  endif ()
 
-# Safeguarding against any potential link errors as mentioned in
-# https://github.com/abseil/abseil-cpp/issues/225
-set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)
-add_subdirectory(${abseil-cpp_SOURCE_DIR} ${abseil-cpp_BINARY_DIR})
+  # Safeguarding against any potential link errors as mentioned in
+  # https://github.com/abseil/abseil-cpp/issues/225
+  set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)
+  add_subdirectory(${abseil-cpp_SOURCE_DIR} ${abseil-cpp_BINARY_DIR})
+endif()
 
 find_or_build_gtest ()
 set (
@@ -64,7 +67,7 @@
 include_directories ("src")
 
 add_executable (generate_geocoding_data ${SOURCES})
-target_link_libraries (generate_geocoding_data absl::strings absl::btree)
+target_link_libraries (generate_geocoding_data absl::strings absl::btree absl::node_hash_set)
 
 set (TEST_SOURCES
   "src/cpp-build/generate_geocoding_data.cc"
@@ -81,4 +84,4 @@
 # Build the testing binary.
 include_directories ("test")
 add_executable (generate_geocoding_data_test ${TEST_SOURCES})
-target_link_libraries (generate_geocoding_data_test absl::btree ${TEST_LIBS})
+target_link_libraries (generate_geocoding_data_test absl::btree ${TEST_LIBS} absl::node_hash_set)
