=== debian/changelog ===
libphonenumber (8.12.57+ds-3) unstable; urgency=medium

  * Team upload.
  * Add patch to link geocoding-shared with phonenumber-shared
    (Closes: #1017496)
  * Build java lib in arch any builds (Closes: #1024768)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 24 Nov 2022 20:17:13 +0100

libphonenumber (8.12.57+ds-2) unstable; urgency=medium

  * Team upload.
  * Convert to debhelper
  * Expose protobuf ABI (Closes: #1024701)
  * Bump policy version (no changes)
  * Move package description to source package
  * Drop old Conflicts/Replaces

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 24 Nov 2022 12:03:20 +0100

libphonenumber (8.12.57+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.57+ds
    Metadata changes:
     - Updated phone metadata for region code(s):
       BJ, EH, GB, GF, GG, JE, MA, MW, SG, SN, SO, ZM
     - Updated geocoding data for country calling code(s): 229 (en)
     - Updated carrier data for country calling code(s):
       27 (en), 34 (en), 47 (en), 65 (en), 212 (en), 252 (en),
       260 (en), 594 (en), 974 (en)
     - Updated / refreshed time zone meta data.

 -- tony mancill <tmancill@debian.org>  Fri, 14 Oct 2022 17:57:01 -0700

libphonenumber (8.12.56+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.56+ds
    Metadata changes:
     - Updated phone metadata for region code(s): HR, MK, PT, SG, TT
     - Updated short number metadata for region code(s): BZ
     - Updated carrier data for country calling code(s):
       31 (en), 65 (en), 385 (en), 389 (en)

 -- tony mancill <tmancill@debian.org>  Fri, 23 Sep 2022 08:43:20 -0700

libphonenumber (8.12.55+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.55+ds
    Metadata changes:
     - Updated phone metadata for region code(s):
       AU, CA, CC, CI, CO, CX, DE, HK, KW, LV, MV, PA, PL, TZ, US
     - Updated short number metadata for region code(s): CO, TZ
     - New geocoding data for country calling code(s): 1742 (en), 1753 (en)
     - Updated geocoding data for country calling code(s):
       57 (en), 225 (en), 960 (en)
     - New carrier data for country calling code(s): 371 (en)
     - Updated carrier data for country calling code(s):
       47 (en), 57 (en), 61 (en), 90 (en), 255 (en), 297 (en), 381 (en),
       420 (en), 972 (en), 974 (en)
     - Updated / refreshed time zone meta data.

 -- tony mancill <tmancill@debian.org>  Fri, 09 Sep 2022 07:32:21 -0700
