=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libphonenumber
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Fredrik Roubert <roubert@google.com>
 Build-Depends:
   cmake,
@@ -9,8 +8,7 @@
   dh-sequence-javahelper,
   default-jdk,
   default-jdk-doc,
-  dpkg-dev (>= 1.22.5),
-  libabsl-dev (>= 20220623.1-3.1),
+  libabsl-dev,
   libgtest-dev,
   libicu-dev,
   libprotobuf-dev,
